%define rname	bookmarkbackup
%define cid 	\{3474c305-9dad-11d8-9207-00055d74c2e4\}
%define ciddir	%firefox_extensionsdir/%cid

Summary:	Plugin bookmarkbackup for Firefox
Name:		%firefox_name-%rname
Version:	0.3.3
Release:	alt0.M24.1
Source0:	%rname.xpi
License:	MPL/GPL/LGPL
Group:		Networking/WWW	
URL:		http://www.pikey.me.uk/mozilla/?extension=bb
Buildrequires:	%firefox_name-devel unzip
BuildArch:	noarch

Requires: %firefox_name >= %firefox_version

%description 
Bookmark Backup is a simple extension that helps to keep your bookmarks safe. 
Each time Firefox is closed, a copy of your bookmarks file will be made to 
a backup location. If Firefox's bookmarks become corrupted or lost, find 
the backup, rename it to bookmarks.html and copy it into your profile folder.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%post
%firefox_install_extension %ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Wed Apr 20 2005 LAKostis <lakostis at altlinux.ru> 0.3.3-alt0.M24.1
- backport to Master-2.4.

* Sat Mar 05 2005 Alexey Gladkov <legion@altlinux.ru> 0.3.3-alt1.1
- postscript bugfix;

* Tue Mar 01 2005 Alexey Gladkov <legion@altlinux.ru> 0.3.3-alt1
- new versoin;
- new extension scheme;

* Thu Apr 29 2004 Alexey Gladkov <legion@altlinux.ru> 0.2.1-alt1
- first build for ALT Linux.
